﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace IconComboBoxDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            label2.Text = iconComboBox1.SelectedIndex.ToString();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            iconComboBox1.init(imageList1);

            string[] ct = new string[] {"Bangladesh", "Brazil", "China", "Congo",
                                    "Egypt", "Ethiopia", "France", "Germany",
                                    "India", "Indonesia", "Iran", "Iraq", "Italy",
                                    "Japan", "Korea", "Mexico", "Myanmar", "Nigeria",
                                    "Pakistan", "Philippines", "Russian Federation",
                                    "South Africa", "Spain", "Thailand", "Turkey",
                                    "United Kingdom", "United States", "Viet Nam"};


            DataTable dt = new DataTable();
            dt.Columns.Add("Disp", typeof(string));
            dt.Columns.Add("Icon", typeof(int));

            for (int i = 0; i < ct.Length; ++i)
            {
                DataRow dr = dt.NewRow();
                dr["Disp"] = ct[i];
                dr["Icon"] = i;
                dt.Rows.Add(dr);
            }

            iconComboBox1.DataSource = dt;
            iconComboBox1.DisplayMember = "Disp";
        }


        private void iconComboBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == (char)Keys.Enter)
            {
                e.Handled = true;
            }
        }

        private void iconComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            label2.Text = iconComboBox1.SelectedIndex.ToString();
        }
    }
}
